package com.sptg.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * title: DeviceInstruct
 * package: com.sptg.common.core.enums
 * description: 设备指令
 *
 *                  
 *                
 */
@Getter
@NoArgsConstructor
@AllArgsConstructor
public enum  DeviceInstruct {

    /**
     * 开门指令
     */
    open_door("open_door","开门"),

    /**
     * 重启
     */
    restart("restart","重启"),

    /**
     * 获取数据
     */
    pull_data("pull_data","获取数据"),

    /**
     * 添加开门密码
     */
    add_open_door_pwd("add_open_door_pwd","添加开门密码"),

    /**
     * 删除开门密码
     */
    del_open_door_pwd("del_open_door_pwd","删除开门密码"),

    /**
     * 添加人脸
     */
    add_user_face("add_user_face","添加人脸"),

    /**
     * 添加门禁卡
     */
    add_open_door_card("add_open_door_card","添加门禁卡"),

    /**
     * 删除门禁卡
     */
    del_open_door_card("del_open_door_card","删除门禁卡"),

    /**
     * 修改设备信息
     */
    update_device_info("update_device_info","修改设备信息"),

    /**
     * 添加视频对讲账号
     */
    add_video_call_account("add_video_call_account","添加视频对讲账号"),

    /**
     * 紧急疏散
     */
    evacuate("evacuate","紧急疏散"),

    /**
     * 紧急疏散
     */
    cancel_evacuate("cancel_evacuate","取消紧急疏散"),

    /**
     * 更新app包指令
     */
    update_app_package("update_app_package","在线升级"),

    /**
     * 格式化数据
     */
    format_data("format_data","格式化数据"),

    /**
     * 同步广告数据
     */
    sync_ad("sync_ad_data","格式化数据"),

    /**
     * 同步屏保数据
     */
    sync_pb("sync_pb_data","格式化数据"),

    /**
     * 同步公告数据
     */
    sync_notice("sync_notice_data","格式化数据");

    private String code;

    @Setter
    private Object data;

}
